# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 2

Name:           calligraplan
Epoch:          13
Version: 3.3.0
Release:        %mkrel %{rel}
Summary:        Project management application for Calligra
Group:          Office/Management
License:        GPLv2+ and LGPLv2+
URL:            https://www.calligra.org/plan/
Source0:        https://download.kde.org/stable/calligra/%{version}/%{name}-%{version}.tar.xz
## upstream patches

# %%check validation
BuildRequires:  appstream-util

# kf5
BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5Init)
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5Wallet)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)

BuildRequires:  cmake(KF5KHtml)
BuildRequires:  cmake(KChart) >= 2.8
BuildRequires:  cmake(KGantt) >= 2.8

BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5AkonadiContact)

# optional
BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Holidays)
BuildRequires:  cmake(KReport)
BuildRequires:  cmake(KPropertyWidgets)
BuildRequires:  cmake(Qca-qt5)

# qt5
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  pkgconfig(zlib)

Requires:       calligra-core

Obsoletes:      plan < 13:3.0.1-5
Provides:       plan = %{epoch}:%{version}-%{release}
Provides:       calligra-apps
Provides:       kplato2

%description
Plan is a project management application.
It is intended for managing moderately large projects with multiple resources.

%files -f %{name}.lang
%license COPYING*
%{_kf5_sysconfdir}/xdg/calligraplanrc
%{_kf5_sysconfdir}/xdg/calligraplanworkrc
%{_kf5_bindir}/calligraplan
%{_kf5_bindir}/calligraplanwork
%{_kf5_libdir}/libkdeinit5_calligraplan.so
%{_kf5_libdir}/libkdeinit5_calligraplanwork.so
%{_qt5_plugindir}/calligraplan/
%{_qt5_plugindir}/calligraplanworkpart.so
%{_kf5_datadir}/kxmlgui5/calligraplan/
%{_kf5_datadir}/kxmlgui5/calligraplanwork/
%{_kf5_metainfodir}/org.kde.calligraplan.appdata.xml
%{_kf5_applicationsdir}/org.kde.calligraplan.desktop
%{_kf5_applicationsdir}/org.kde.calligraplanwork.desktop
%{_kf5_datadir}/calligraplan/
%{_kf5_datadir}/calligraplanwork/
%{_kf5_datadir}/config.kcfg/calligraplansettings.kcfg
%{_kf5_datadir}/config.kcfg/calligraplanworksettings.kcfg
%{_kf5_iconsdir}/hicolor/*/*/*

#--------------------------------------------------------------------

%define planworkfactory_major 18
%define libplanworkfactory %mklibname planworkfactory %{planworkfactory_major}

%package -n     %{libplanworkfactory}
Summary:        Calligra Plan work factory library
Group:          System/Libraries
Obsoletes:      %{_lib}kplatoworkfactory < 13:3.0.1-5

%description -n %{libplanworkfactory}
Calligra Plan work factory library.

%files -n %{libplanworkfactory}
%{_kf5_libdir}/libplanworkfactory.so.%{planworkfactory_major}{,.*}

#--------------------------------------------------------------------

%define planprivate_major 18
%define libplanprivate %mklibname planprivate %{planprivate_major}

%package -n     %{libplanprivate}
Summary:        Calligra Plan private library
Group:          System/Libraries

%description -n %{libplanprivate}
Calligra Plan private library.

%files -n %{libplanprivate}
%{_kf5_libdir}/libplanprivate.so.%{planprivate_major}{,.*}

#--------------------------------------------------------------------

%define planui_major 18
%define libplanui %mklibname planui %{planui_major}

%package -n     %{libplanui}
Summary:        Calligra Plan ui library
Group:          System/Libraries

%description -n %{libplanui}
Calligra Plan ui library.

%files -n %{libplanui}
%{_kf5_libdir}/libplanui.so.%{planui_major}{,.*}

#--------------------------------------------------------------------

%define planmodels_major 18
%define libplanmodels %mklibname planmodels %{planmodels_major}

%package -n     %{libplanmodels}
Summary:        Calligra Plan models library
Group:          System/Libraries

%description -n %{libplanmodels}
Calligra Plan models library.

%files -n %{libplanmodels}
%{_kf5_libdir}/libplanmodels.so.%{planmodels_major}{,.*}

#-------------------------------------------------------------------

%define  plankernel_major 18
%define  libplankernel %mklibname kplatokernel %{plankernel_major}

%package -n     %{libplankernel}
Summary:        Calligra Plan kernel library
Group:          System/Libraries

%description -n %{libplankernel}
Calligra Plan kernel library.

%files -n %{libplankernel}
%{_kf5_libdir}/libplankernel.so.%{plankernel_major}{,.*}

#-------------------------------------------------------------------

%define  plankundo2_major 18
%define  libplankundo2 %mklibname plankundo2_ %{plankundo2_major}

%package -n     %{libplankundo2}
Summary:        Calligra Plan kundo2 library
Group:          System/Libraries

%description -n %{libplankundo2}
Calligra Plan kundo2 library.

%files -n %{libplankundo2}
%{_kf5_libdir}/libplankundo2.so.%{plankundo2_major}{,.*}

#-------------------------------------------------------------------

%define  planmain_major 18
%define  libplanmain %mklibname planmain %{planmain_major}

%package -n     %{libplanmain}
Summary:        Calligra Plan main library
Group:          System/Libraries

%description -n %{libplanmain}
Calligra Plan main library.

%files -n %{libplanmain}
%{_kf5_libdir}/libplanmain.so.%{planmain_major}{,.*}

#-------------------------------------------------------------------

%define  planodf_major 18
%define  libplanodf %mklibname planodf %{planodf_major}

%package -n     %{libplanodf}
Summary:        Calligra Plan odf library
Group:          System/Libraries

%description -n %{libplanodf}
Calligra Plan odf library.

%files -n %{libplanodf}
%{_kf5_libdir}/libplanodf.so.%{planodf_major}{,.*}

#-------------------------------------------------------------------

%define  planplugin_major 18
%define  libplanplugin %mklibname planplugin %{planplugin_major}

%package -n     %{libplanplugin}
Summary:        Calligra Plan plugin library
Group:          System/Libraries

%description -n %{libplanplugin}
Calligra Plan plugin library.

%files -n %{libplanplugin}
%{_kf5_libdir}/libplanplugin.so.%{planplugin_major}{,.*}

#-------------------------------------------------------------------

%define  planstore_major 18
%define  libplanstore %mklibname planstore %{planstore_major}

%package -n     %{libplanstore}
Summary:        Calligra Plan store library
Group:          System/Libraries

%description -n %{libplanstore}
Calligra Plan store library.

%files -n %{libplanstore}
%{_kf5_libdir}/libplanstore.so.%{planstore_major}{,.*}

#-------------------------------------------------------------------

%define  planwidgets_major 18
%define  libplanwidgets %mklibname planwidgets %{planwidgets_major}

%package -n     %{libplanwidgets}
Summary:        Calligra Plan widgets library
Group:          System/Libraries

%description -n %{libplanwidgets}
Calligra Plan widgets library.

%files -n %{libplanwidgets}
%{_kf5_libdir}/libplanwidgets.so.%{planwidgets_major}{,.*}

#-------------------------------------------------------------------

%define  planwidgetutils_major 18
%define  libplanwidgetutils %mklibname planwidgetutils %{planwidgetutils_major}

%package -n     %{libplanwidgetutils}
Summary:        Calligra Plan widget utils library
Group:          System/Libraries

%description -n %{libplanwidgetutils}
Calligra Plan widget utils library.

%files -n %{libplanwidgetutils}
%{_kf5_libdir}/libplanwidgetutils.so.%{planwidgetutils_major}{,.*}

#-------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

## unpackaged files
# bogus locale
rm -frv %{buildroot}%{_kf5_datadir}/locale/x-test/
# no need to package lib*.so symlinks
find  %{buildroot}%{_kf5_libdir}/  -maxdepth 1 -name lib*.so -type l -delete 

%find_lang %{name} --all-name --with-html

%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.calligraplan.appdata.xml


%changelog
* Tue Nov 15 2022 daviddavid <daviddavid> 13:3.3.0-2.mga9
+ Revision: 1907375
- Mageia 9 Mass Rebuild

* Fri Feb 26 2021 daviddavid <daviddavid> 13:3.3.0-1.mga9
+ Revision: 1691882
- new version: 3.3.0
- now libmajor is 18

* Tue Jul 21 2020 daviddavid <daviddavid> 13:3.2.2-3.mga8
+ Revision: 1607701
- add upstream patch to fix build with Qt 5.15

* Tue Feb 18 2020 umeabot <umeabot> 13:3.2.2-2.mga8
+ Revision: 1539724
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 daviddavid <daviddavid> 13:3.2.2-1.mga8
+ Revision: 1466114
- new version: 3.2.2

* Fri Nov 29 2019 daviddavid <daviddavid> 13:3.2.1-1.mga8
+ Revision: 1463744
- new version: 3.2.1

* Thu Nov 14 2019 daviddavid <daviddavid> 13:3.2.0-1.mga8
+ Revision: 1459993
- new version: 3.2.0
- now libs major are 17
- remove merged upstream patch

* Sat Mar 30 2019 umeabot <umeabot> 13:3.1.0-4.mga7
+ Revision: 1381397
- Qt5 Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 13:3.1.0-3.mga7
+ Revision: 1295950
- Mageia 7 Mass Rebuild

* Sun Jul 01 2018 daviddavid <daviddavid> 13:3.1.0-2.mga7
+ Revision: 1241065
- add upstream patch to fix build with new Qt5 >= 5.11.0

* Sun Feb 04 2018 daviddavid <daviddavid> 13:3.1.0-1.mga7
+ Revision: 1198837
- initial package calligraplan

